Users & Auth API¶
4 confirmed endpoints — 3 respond with data, 1 require valid input.
Endpoints with Response Data¶
POST /api/v1/persons¶
Create a person
✅ Live — responds with data
Sample Response:
{
"id": "8b5b8c8c-668a-4645-bbeb-f6420f960e50",
"createdOn": "2026-04-07T01:59:54.910Z",
"itemType": "person",
"name": "test-name",
"description": "test-description",
"imageIds": []
}
Response Schema:
| Field | Type | Required |
|---|---|---|
createdOn |
string | Yes |
description |
string | Yes |
id |
string | Yes |
imageIds |
array | Yes |
itemType |
string | Yes |
name |
string | Yes |
GET /auxiliary/api/v1/userSettings¶
Retrieve user settings
✅ Live — responds with data
Sample Response:
{
"bookmarks": [],
"bookmarksFolders": [],
"defaultFilters": [],
"dismissedNotifications": {
"Infobox.LoadAllButtonMoved": true,
"Infobox.SubfolderSearch": true
},
"lastSeenChangelogId": "5d3ded81-681c-4e96-9c4c-137216a21043",
"showRenameSubclipDialog": false,
"showSequenceParts": true,
"language": "en",
"theme": "dark",
"subtitlePreference": "Off",
"showPopups": true,
"pinnedItems": []
}
Response Schema:
| Field | Type | Required |
|---|---|---|
bookmarks |
array | Yes |
bookmarksFolders |
array | Yes |
defaultFilters |
array | Yes |
dismissedNotifications |
object | Yes |
language |
string | Yes |
lastSeenChangelogId |
string | Yes |
pinnedItems |
array | Yes |
showPopups |
boolean | Yes |
showRenameSubclipDialog |
boolean | Yes |
showSequenceParts |
boolean | Yes |
subtitlePreference |
string | Yes |
theme |
string | Yes |
PUT /auxiliary/api/v1/userSettings¶
Update user settings
✅ Live — responds with data
Sample Response:
{
"bookmarks": [],
"workFolderId": "test-workFolderId",
"lastSeenChangelogId": "test-lastSeenChangelogId",
"defaultFilters": [],
"dismissedNotifications": {},
"showRenameSubclipDialog": false,
"bookmarksFolders": []
}
Response Schema:
| Field | Type | Required |
|---|---|---|
bookmarks |
array | Yes |
bookmarksFolders |
array | Yes |
defaultFilters |
array | Yes |
dismissedNotifications |
object | Yes |
lastSeenChangelogId |
string | Yes |
showRenameSubclipDialog |
boolean | Yes |
workFolderId |
string | Yes |
Endpoints Requiring Valid Input¶
These endpoints are confirmed live but need proper request bodies.
GET /auth/api/v1/user/status¶
User deactivation status
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
isDeactivated |
boolean | Yes |
Not Found¶
| Method | Path | Code |
|---|---|---|
GET |
/api/v1/apiKeys |
404 |
GET |
/api/v1/groups |
404 |
GET |
/api/v1/persons |
404 |
DELETE |
/api/v1/persons/{personId} |
404 |
GET |
/api/v1/persons/{personId} |
404 |
POST |
/api/v1/persons/{personId} |
404 |
POST |
/api/v1/persons/{personId}/images |
404 |
GET |
/api/v1/roles |
404 |
GET |
/api/v1/userInfo |
404 |
GET |
/api/v1/userSettings |
404 |
GET |
/api/v1/userStatus |
404 |
GET |
/api/v1/users |
404 |
GET |
/api/v1/users/me |
404 |
GET |
/auth/api/v1/userInfo/users |
404 |
POST |
/auth/api/v1/users/{userId} |
404 |